Subject: typo in recent linux commit?

From: [email-masked] (Nathan Lynch)
Date: Wed, 28 Oct 2015 07:51:05 -0500

On 10/28/2015 03:41 AM, H.Nikolaus Schaller wrote:
> Hi,
> 
> Am 28.10.2015 um 09:19 schrieb Efraim Yawitz <[email-masked]>:
> 
>> Hi,
>>
>> I was just browsing recent commits to the linux kernel tree, and I saw this in a change to arch/arm/vdso/vdsomunge.c:
>>
>> +#define swab32(x) \
>>    + ((((x) & 0x000000ff) << 24) | \
>>    + (((x) & 0x0000ff00) << 8) | \
>>    + (((x) & 0x00ff0000) >> 8) | \
>>    + (((x) & 0xff000000) << 24))
>>
>>
>> Shouldn't that last '<<' be a '>>'?
>>
>> Ephraim Yawitz
> 
> Yes, you are right! Thanks for spotting this.
> It appears that it was introduced during code simplification.
> 
> @maintainers: should I write another patch or can you more easily replace the original one?

As the regression is already in Linus' tree, it needs an incremental
patch.  Please also credit Ephraim with a Reported-by: .

Thanks.